Jump to content
ThomasP51

Modul: Das Override kann nicht installiert werden: getPriceStatic wird bereits verwendet

Recommended Posts

Hallo,

 

Ich möchte gerne 2 Designer Tools verwenden. Jedoch habe ich das Problem, dass ich das 2th (Product Customization) nicht installieren kann da, dass bereits installierte (inkxe) Designer Tool Die Methode getPriceStatic in der Klasse Product bereits verwendet.

 

Komplette Fehlermeldung:

 

Folgende Module konnten nicht vollständig installiert werden:

  • customtextdesign : 
        Das Override kann nicht installiert werden: Die Methode getPriceStatic in der Klasse Product wurde bereits von Modul inkxecustomprice (Version 1.0.0) bei 2017-06-26 09:33:13 überschrieben.

 

Hat jemand eine Idee wie ich das umgehen kann? Beim 2th Designer Tool sind es fixe Preise welche beim erstellen des Artikels angeben sind ohne Preisänderung bei der Gestaltung des Artikels. Laut Meldung vermute ich, dass etwas mit Preisanpassung bei der Gestaltung sein muss. Doch das benötige ich nicht.

Vielen Dank und Grüsse,

Thomas

 

Prestashop v. 1.6.1.14

Share this post


Link to post
Share on other sites

Die Ursache der Fehlermeldung ist die, dass das bereits installiertes Module inkxecustomprice einen Override erstellt hat.

Das neue zu installierende Modul möchte nun ebenfalls einen Override für dieselbe Klasse erstellen.

Das kann nun aber PresaShop nicht. Es ist nicht möglich, mehere Overrides für dieselbe Funktion zu installieren.

PrestaShop kann dann ja nicht wissen, in welchem Falle welches Override ausgeführt werden sollte.

 

Zu Erklärung:

Overrides sind Programmkomponenten, welche die Standardfunktionalität von PrestaShop verändern. Sie übernehmen somit anstelle der Standards gewisse Funktionen im System. Die Meldung ist insofern kein eigentlicher Fehler oder ein Fehlverhalten des Systems sondern lediglich eine Schutzfunktion um künftige Fehler zu vermeiden.

 

Mögliche Abhilfe:

 

1. Entweder das zuvor installierte Modul deinstallieren. Danach das neue Modul installieren. Oder

2. Beide Overrides manuell zusammenführen. Das ist indes nur etwas für erfahrene Entwickler.

Edited by Scully (see edit history)

Share this post


Link to post
Share on other sites

Vielen Dank.

 

Das hier Fachwissen benötigt wird, habe ich vermutet. Gerne werde ich mich melden falls ich das Modul nun wirklich brauche.

Share this post


Link to post
Share on other sites

Na gut, man kann schon die beiden Overrides der gleichen Funktion miteinander vergleichen, mit grundlegenden Sprachkenntnissen in PHP kann man sehen, ob die Overrides das gleiche oder Unterschiedliches bewirken. Man kann auch versuchen, im einen Programm das Override für diese Funktion zu löschen und zu sehen, ob dies die Funktion beeinträchtigt (vorher natürlich die Datei sichern).

 

Schließlich kann man sich an einen der Modulentwickler wenden.

 

Sofern es sich um kurze Funktionen handelt, kannst du sie hier auch posten.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More